aboutsummaryrefslogtreecommitdiff
path: root/support/dependencies/dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'support/dependencies/dependencies.sh')
-rwxr-xr-xsupport/dependencies/dependencies.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index c47ffcf43c..43ec3cc0f9 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -48,6 +48,12 @@ if test -n "$PERL_MM_OPT" ; then
exit 1
fi
+if test -n "$DESTDIR" ; then
+ /bin/echo -e "\nYou have the DESTDIR environment variable set. Please"
+ /bin/echo -e "unset it so that Buildroot can work properly."
+ exit 1
+fi
+
# Verify that which is installed
if ! which which > /dev/null ; then
/bin/echo -e "\nYou must install 'which' on your build machine\n";